Обновление форума SMF

Автор Mavn, 03 Декабрь 2006, 14:01:10

« назад - далее »

0 Пользователей и 1 гость просматривают эту тему.

Mavn

03 Декабрь 2006, 14:01:10 Последнее редактирование: 10 Июль 2007, 13:33:31 от Mavn
I. Рассмотрим пример обновление форума с более поздней версии SMF 1.0.9. до SMF 1.1
Обратите внимание: обновление с любых других версий SMF производится идентично.

Перед обновлением нужно произвести следующие действия:

1.  Выполнить бэкап Базы данных.
2.  Выполнить бэкап Файлов форума.
3.  Убедится в работоспособности бэкапов, чтобы в случае чего вы смогли восстановить форум.
4.  Скачать  комплект обновления 1 или комплект обновления 2
5.  Скачать комплект перевода (русификации) win1251 UTF8 для новой версии.
6.  Распаковать комплект обновления и перевода в одну директорию.
7.  Проверить наличие файлов в следующей директории  Themes/default/languages/*.russian.php
8.  Поставить форум на техническое обслуживание Администрирование - Настройки сервера - Поставить форум на Техническое Обслуживание?
9.  Закачать полученный комплект на хост, в директорию обновляемого форума.

Обратите внимание на пункт 4. Если у Вас версия 1.1 RC3, то качаем комплект обновления 1(Small update) если более старая версия, то комплект обновления 2 (Large upgrade)

II. После проведения данных действий приступаем непосредственно к обновлению форума.

1.  Для того чтобы запустить обновление форума необходимо запустить скрипт обновления, например, так http://localhost/smf_1/upgrade.php. Где http://localhost/ - домен, где стоит Ваш форум, smf_1 – директория, в которую установлен форум.
Обратите внимание: после того как Вы закачаете новые файлы на хост, форум перестанет работать (на некоторых версиях smf) и будет выдавать некоторые ошибки, не используйте форум до его полного обновления во избежание возникновения ошибок Вашей базы данных.
2.  После запуска обновления мы увидим следующее


Рекомендуем выставить следующие параметры обновления

  • Backup tables in your database with the prefix "backup_smf_". – данная опция, создаст бэкап всей Вашей базы данных форума, все таблицы smf_* будут продублированы в таком формате backup_smf_*. В случае восстановления базы данных форума все, что нужно будет сделать поменять префикс с backup_smf_ на smf_
  • Put the forum into maintenance mode during upgrade. – поставить форум на техническое обслуживание на время проведения обновления
  • Output extra debugging information. Вывод информации об отладке форума.
Данная опция устанавливается по желанию

  • Allow Simple Machines to Collect Basic Stats Monthly. Разрешить Simple Machines собирать обычную статистику с Вашего форума
После чего нажимаем кнопку "Continue"

3.  Обновление форума разделено на несколько шагов, для наименьшей нагрузки на сервер.

4.  По завершению обновления форума удаляем upgrade.php и проверяем работоспособность форума.


Обратите внимание: при обновлении форума все установленные моды не будут работать и Вам придется заново устанавливать их. Если Вы используете нестандартные темы оформления, то возможно вам также придется обновлять темы оформления до более новой версии для корректной работы форума.

В случае возникновения ошибки
ЦитироватьThe upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Нужно сделать следующее:
Вариант 1: Переключить форум на английский язык Администрирование - Настройки сервера - Язык по умолчанию
или
Вариант 2: Открыть файл upgarde.php
найти
Код
define('SMF_LANG_VERSION', '1.1');

заменить на
Код
define('SMF_LANG_VERSION', '1.1.1');
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

vegas

пытаюсь обновить вылазит это...

Код
Warning: require_once(/www/ax3.net/a/r/arsenalclan/home/site/forum/update/Settings.php) [function.require-once]: failed to open stream: No such file or directory in /www/ax3.net/a/r/arsenalclan/home/site/forum/update/upgrade.php on line 99

Fatal error: require_once() [function.require]: Failed opening required '/www/ax3.net/a/r/arsenalclan/home/site/forum/update/Settings.php' (include_path='.:/usr/share/php') in /www/ax3.net/a/r/arsenalclan/home/site/forum/update/upgrade.php on line 99

Mavn

Файл Settings.php не может найти скрипт и выводит предупреждение об этом
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

nash17

после обновления такие моды как Global Headers Footers и Sitemap есть но установить кнопки нет. У Aeva Media например проблем нет, нажал установить и все пошло.
А что с этими прогами? устанавливать заново? Пишет что на сервере уже такие папки имеются.

Можно ли как то не сносить старые моды?

Gooffy

Доброго времени суток.

у меня сейчас SMF 2.0 RC3 хочу обновить до RC5

скачал Large Upgrade  т.к. перешагиваю через версию + руссификатор, распаковал всё в одну папку(локально на ПК)

Вопрс по поводу 9-го пункта обновления:
9.  Закачать полученный комплект на хост, в директорию обновляемого форума.
("http://localhost/smf_1";)

т.е. если правильно понял, то я уже заменяю существующие фаилы?

и потом только запускаю скрипт http://localhost/smf_1/upgrade.php.

BIOHAZARD

Мои моды:
  • RedirectPage
  • Counters
  • CustomSearch
  • SypexDumper
   адаптирую темы    1.1.хx<=>2.0задавая вопросы, старайтесь сразу указывать конечную цель, предполагаемый Вами путь не обязательно окажется самым коротким

Любые моды на заказ

satory

Спасибо! Помогло разобраться, понять и обновиться!!! (при обновлении с RC2 до Gold)
Еще есть вопрос:
С 2.0 ДО 2.0.1 - Возможно просто обновление с Админ.панели????
Моды, настройки, темы итд? затронет??? Как поступают опытные???
Это как я понимаю Security обновление и по идее не должно затронуть прочие моменты (опять же, моды итд) работающего форума, верно????!!
( бэкапы делаем, по золотому правилу ;) )
Не позволяй душе лениться! :)

karavan

Цитата: satory от 22 Сентябрь 2011, 21:05:52
С 2.0 ДО 2.0.1 - Возможно просто обновление с Админ.панели????
Да
Цитата: satory от 22 Сентябрь 2011, 21:05:52
Моды, настройки, темы итд? затронет???
Нет

sandreyb

Добрый день, а можно апдейтится с версии 1.1.15 на 2.*.*

Mavn

без разницы с какой версии будет происходить обновление принцип один
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

sandreyb

Спасибо, буду пробовать!

Anusik

Скажите пожалуйста, какое может быть решение, если "Файл Settings.php не может найти скрипт и выводит предупреждение об этом".
Пытаюсь обновиться с 1.1.12

Mavn

лучше бы вам создать отдельную тему со своей проблемой
и описать что именно не может найти и какое предупреждение выводит
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Morose

Цитата: karavan от 23 Сентябрь 2011, 01:01:36
Да

Нет


Не могу найти в админке возможности обновления, могу только версию фаилов посмотреть.
SMF 2.0 RC3

раньше ещё на первом движке обновлял, а на этом не могу понять

подскажите где искать.

Mavn

Бета версии не обновляются модами через админку
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

peoplee

Подскажите, в таком положении останавливается.. База скопировалась или нет?

это скрин второй попытки, при первой было чуть больше, но всеравно 100% небыло.
Вокзал видел больше искренних поцелуев, чем ЗАГС.
А стены больницы, возможно, слышали больше искренних молитв, чем церковь.

Mavn

мучить пока не станет 100%
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

peoplee

Все получилось, спасибо, хоть и с 40го раза, но наконец-то появилась кнопка "сохранить". Осталось теперь сообразить как именно ПРАВИЛЬНО обновиться..
У меня SMF 2.0 RC3 а пакета обновления вроде как не встречал, придется качать простой дистрибутив последней версии и пробовать ставить, и каким-то образом (каким мне еще неизвестно) восстанавливать посты, прикрепленные файлы, юзеров... и т.д. Вот этот момент непонятен.
Вокзал видел больше искренних поцелуев, чем ЗАГС.
А стены больницы, возможно, слышали больше искренних молитв, чем церковь.

Макар

тебе нужен пакет Large upgrade он что угодно обновит до 202
Если Вы здесь недавно, не обольщайтесь тоном некоторых дискуссий.
Все чаще слова - юзай поиск, приобретают смысл - иди в ж..........  Приобретение смысла автоматизированно - Ответы на любой вопрос по SMF
Не пишите несколько сообщений подряд - тут вам не Twitter  >:( в остальных ситуациях мы не сильно зверствуем 2funny

Serifa

Цитата: Mavn от 03 Декабрь 2006, 14:01:101.  Для того чтобы запустить обновление форума необходимо запустить скрипт обновления, например, так http://localhost/smf_1/upgrade.php. Где http://localhost/ - домен, где стоит Ваш форум, smf_1 – директория, в которую установлен форум.
Всё ещё собираюсь обновиться. Вот этот пунктик не понимаю.
У меня домен будет forroll.org, так? А директория?
версия форума 2.1
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге

Mavn

данный пункт относится только если использовать пакет обновления, если вы используете мод для обновления то этот пункт не для вас
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Serifa

Пакет, конечно. У меня версия rc2, мне придется всё перезаливать. И моды все удалять, ясенно.
Невезуха, конкретно... То сервер опять переезжает, то с интернетом перебои...
версия форума 2.1
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге

Mavn

ну тогда все просто. когда загрузите пакет обновления, у вас появится данный файл соответственно его нужно будет запустить. например: forroll.org/upgrade.php
если база форума большая и есть доступ по ssh то лучше запустить данный скрипт в терминале. Обновление пройдет в разы быстрее.
Пример запуска:
Код
php /put/k/failu/upgrade.php
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Serifa

Надо где-то большими буквами написать, чтобы камрады не пропускали обновления движка, а то потом не догонят :) Как я :)
версия форума 2.1
«- Помощник капитана Бакстер, - заявил Лумис, - безбожно врет. Все отнюдь не под контролем, вернее, не под его контролем. Корабль захвачен представителями небелковой формы разумной жизни, которые маскируются под обслуживающих роботов, а некоторые даже не делают и этого...»
«То, что у тебя есть, лечится антибиотиками» (nowhere man, 1995)
В телеге

Quesabe

Помогите обновиться.
Обновлялся на 2.0.2 по порядку и заметил что сурсы остаются 2.0 и всё не фига не совпадает  :P
Проясните мне пожалуйста ситуацию по моей версии, кому не трудно, что мне щас и как обновить надо?

digger®

Зачем, вы все пишете о своих проблемах в премодерируемом разделе посвященном различной документации по SMF?
Конкретно, по текущей теме - есть специальные разделы "Установка и обновление SMF 1.1" и "Установка и обновление SMF 2.0".

pavelk

Цитата: Mavn от 03 Декабрь 2006, 14:01:10...
1.  Для того чтобы запустить обновление форума необходимо запустить скрипт обновления, например, так http://localhost/smf_1/upgrade.php. Где http://localhost/ - домен, где стоит Ваш форум, smf_1 – директория, в которую установлен форум.
Обратите внимание: после того как Вы закачаете новые файлы на хост, форум перестанет работать (на некоторых версиях smf) и будет выдавать некоторые ошибки, не используйте форум до его полного обновления во избежание возникновения ошибок Вашей базы данных.
...

Видимо какой-то мод переделывает ссылки http : // localhost / smf_1 / upgrade.php на http://www.simplemachines.ru/index.php?action=go;url=aHR0cDovL2xvY2FsaG9zdC9zbWZfMS91cGdyYWRlLnBocA==.
В первом случае читается лучше.


Цитата: Serifa от 27 Январь 2014, 16:44:07Надо где-то большими буквами написать, чтобы камрады не пропускали обновления движка, а то потом не догонят
То есть желательно обновляться каждый выпуск? Например 2.0.8->2.0.9->2.0.10->2.0.11, а при обновлении 2.0.8 -> 2.0.11 могут возникнуть проблемы?
Этот текст отображается под каждым моим сообщением.

digger®

Цитата: pavelk от 20 Ноябрь 2015, 14:02:45То есть желательно обновляться каждый выпуск? Например 2.0.8->2.0.9->2.0.10->2.0.11, а при обновлении 2.0.8 -> 2.0.11 могут возникнуть проблемы?
Для 2.0.8->2.0.9->2.0.10->2.0.11 будут пакетные обновления через админку, а для 2.0.8 -> 2.0.11 вам придется перезалить файлы форума из дистрибутива Full Upgrade, утратив внесенные в код форума вручную и модами изменения.

pavelk

Цитата: digger® от 20 Ноябрь 2015, 15:32:26будут пакетные обновления через админку
Это где-то в админке есть кнопка "Обновиться до следующей версии"?
Этот текст отображается под каждым моим сообщением.

Mavn

Цитата: pavelk от 20 Ноябрь 2015, 23:07:49Это где-то в админке есть кнопка "Обновиться до следующей версии"?
в админку зайдите и сразу все увидите, когда есть новые версии форума там сразу сообщается и предлагается обновиться
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

pavelk

Цитата: Mavn от 21 Ноябрь 2015, 02:55:39в админку зайдите и сразу все увидите, когда есть новые версии форума там сразу сообщается и предлагается обновиться
Текущая версия SMF 2.0.11, форума SMF 2.0.10 в админке ничего нет.
Просто еще не выпустили Small update?
Как обычно обновление проходит или это индивидуально?

В админке 'Обслуживание форума' есть режим по проверке версий используемых файлов.
Почему у некоторых версия неизвестна? Автор не указал?
И почему у меня не показывается последняя версия?
См. вложение.
Этот текст отображается под каждым моим сообщением.

Mavn

если не отображается в админке идете сюды качаете нужный патч и обновляете форум(ставится как мод)
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

GeorG

В админке, Обслуживание->Диспетчер задач
Там запустите задачу "Получение файлов с официального сайта SMF", после уже смотрите на главной странице в админке, в блоке "Информационная поддержка".
Вообще, эта опция включена по-умолчанию, но некоторые её зачем-то отключают.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Mavn

@GeorG иногда бывает что или со стороны хостинга или со стороны сервака смф не возможно получить файлы с офф сайта поэтому предложил кардинальное решение :)
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

pavelk

Цитата: GeorG от 22 Ноябрь 2015, 00:22:03В админке, Обслуживание->Диспетчер задач
Там запустите задачу "Получение файлов с официального сайта SMF", после уже смотрите на главной странице в админке, в блоке "Информационная поддержка".
Вообще, эта опция включена по-умолчанию, но некоторые её зачем-то отключают.

Опция была и остаётся включенной. Запустил сам.

Информационная поддержка:
ЦитироватьИнформация о версиях:
Версия форума: SMF 2.0.11
Последняя версия SMF: ??

Обновил как предложил @Mavn.

Цитата: Mavn от 22 Ноябрь 2015, 00:34:16иногда бывает что или со стороны хостинга или со стороны сервака смф не возможно получить файлы с офф сайта

Форум на шаред хостинге, его копия на выделенном сервере. Поведение везде одинаковое.
Я только чуть-чуть подправил тему. Как понять в чем проблема или это не проблема?
Этот текст отображается под каждым моим сообщением.

Snow_Irbis

Цитата: Mavn от 22 Ноябрь 2015, 00:18:50если не отображается в админке идете сюды качаете нужный патч и обновляете форум(ставится как мод)

Я конечно могу и ошибаться, но скорее всего обновления форума тут не к чему, а скорее всего дело в модах. Я форум обновлял патчами по указанной ссылке до актуальной версии, и версии файлов форума везде совпадают с последними версиями, а вот знаки вопроса светит как раз над файлами отвечающими за моды, что вроде как логично, так как их версии там не проверяются, а проверяется только версия мода которую светит или красным или зеленым кружком в обзоре пакетов  :)

Mavn

Цитата: Snow_Irbis от 22 Ноябрь 2015, 17:47:03Я конечно могу и ошибаться, но скорее всего обновления форума тут не к чему, а скорее всего дело в модах. Я форум обновлял патчами по указанной ссылке до актуальной версии, и версии файлов форума везде совпадают с последними версиями, а вот знаки вопроса светит как раз над файлами отвечающими за моды, что вроде как логично, так как их версии там не проверяются, а проверяется только версия мода которую светит или красным или зеленым кружком в обзоре пакетов
прочитайте внимательнее название темы и поймете что вы ошибаетесь :), то о чем говорите вы никакого отношения к обновлению не имеет

?? появляются в одном случае, когда файлы с офф сайта не подтягиваются и форум сличить версии файлов форума и с тем что есть просто не может ибо не с чем сличать
не подтягиваться файлы с офф сайта могут по разным причинам... например на серваке запрещены исходящие соединения к другим серверам или на офф сайте заблокирован ип адрес(подсеть) хостера и пр. причины
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.